me.legofreak107.vehiclesplus.vehicles.api.objects.custominput

## Class MovementInput

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.api.objects.custominput.MovementInput

    public class MovementInput
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MovementInput(java.lang.Boolean jump, java.lang.Boolean forward, java.lang.Boolean backward, java.lang.Boolean left, java.lang.Boolean right)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `getBackward()`
`java.lang.Boolean` `getForward()`
`java.lang.Boolean` `getJump()`
`java.lang.Boolean` `getLeft()`
`java.lang.Boolean` `getRight()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MovementInput

    public MovementInput(java.lang.Boolean jump,
                         java.lang.Boolean forward,
                         java.lang.Boolean backward,
                         java.lang.Boolean left,
                         java.lang.Boolean right)

### Method Detail

#### getJump

    public java.lang.Boolean getJump()

#### getForward

    public java.lang.Boolean getForward()

#### getBackward

    public java.lang.Boolean getBackward()

#### getLeft

    public java.lang.Boolean getLeft()

#### getRight

    public java.lang.Boolean getRight()